# Uses of Class
org.apache.qpid.proton.amqp.messaging.Accepted

Packages that use Accepted
Package
Description
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.codec.messaging

## Uses of Accepted in org.apache.qpid.proton.amqp.messaging

Methods in org.apache.qpid.proton.amqp.messaging that return Accepted
Modifier and Type
Method
Description
`static Accepted`
Accepted.`getInstance()`

## Uses of Accepted in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return Accepted
Modifier and Type
Method
Description
`Accepted`
AcceptedType.`newInstance(Object described)`
`Accepted`
FastPathAcceptedType.`readValue()`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type Accepted
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<Accepted>>`
FastPathAcceptedType.`getAllEncodings()`
`TypeEncoding<Accepted>`
FastPathAcceptedType.`getCanonicalEncoding()`
`TypeEncoding<Accepted>`
FastPathAcceptedType.`getEncoding(Accepted accepted)`
`Class<Accepted>`
AcceptedType.`getTypeClass()`
`Class<Accepted>`
FastPathAcceptedType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type Accepted
Modifier and Type
Method
Description
`TypeEncoding<Accepted>`
FastPathAcceptedType.`getEncoding(Accepted accepted)`
`protected List`
AcceptedType.`wrap(Accepted val)`
`void`
FastPathAcceptedType.`write(Accepted accepted)`